<div class="container-fluid">
    <form name="check" ng-init="listEnvAndPf()">
        <div class="row formbg">
            <div class="form-horizontal">
                <div id="versions" class="col-sm-offset-2 col-sm-8 row" ng-init="listversions()">
                    <div class="form-group col-sm-8">
                        <label class="col-sm-6 control-label" for="version">Choisir la version pour la vérification</label>
                        <div class="col-sm-6 input-group">
                            <span class="input-group-btn">
                                <select class="btn" ng-model="selectedCountry" name="country" >
                                    <option value="none" selected>Tout Pays</option>
                                    <option ng-repeat="c in countryList" value="{{c.name}}">{{c.name}}</option>
                                </select>
                            </span>
                            <input type="text" class="form-control " ng-model="selectedVersion" name="version" typeahead="version for version in versionsList | filter:$viewValue | limitTo:8" required/>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <button type="submit" class="btn btn-block btn-default" ng-click="listMissingProperties()">
                            <span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span>
                            <span class="hidden-sm">Vérifier</span>
                        </button>
                    </div>
                    <div class="col-sm-2">
                        <button class="btn btn-block btn-success" ng-disabled="!missingprops || check.$invalid" ng-click="saveMissingProperties(missingprops, launchConfirmDialog, listMissingProperties);">
                            <span class="glyphicon glyphicon-thumbs-up" aria-hidden="true"></span>
                            <span class="hidden-sm">Enregistrer</span>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" ng-show="servererror">
            <pre class="bg-danger">{{servererror.data}}</pre>
        </div>
        <div class="row" ng-show="infoNotification">
            <pre class="bg-info">{{infoNotification}}</pre>
        </div>
        <div class="container-fluid"  ng-show="checkingInProgress">
            <div class="progress">
                <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                Vérification en cours ...
                </div>
            </div>
        </div>
        <div class="row table-responsive" ng-show="missingprops && !checkingInProgress">
            
            <div class="alert alert-info container-fluid">
                <div class="col-sm-2 " style="text-align: center">
                    <span class="glyphicon glyphicon-info-sign" aria-hidden="true" style="font-size: 36px"></span>
                </div>
                <div class="col-sm-8">
                    Voici la liste des propriétés qui manquent sur différentes plateformes. Elles sont listées parce que définies sur au moins 1 plateforme.
                    <br/>Cliquez sur l'icone d'information pour savoir les différentes valeurs correspondantes aux plateformes.
                </div>
                <div class="col-sm-2">
                    <button class="col-sm-12 btn btn-default" ng-click="downloadCSV(missingprops, selectedCountry,selectedVersion);">
                        <span class="glyphicon glyphicon-save" aria-hidden="true"></span>
                        Télécharger en CSV
                    </button>
                </div>
            </div>
            <table ng-table="checkpropsParams" show-filter="true" class="table table-striped table-condensed table-hover table-bordered">
                <tr ng-repeat="p in $data">
                    <td >
                        <button type="button" class="btn btn-danger btn-danger-inv" ng-click="removePropFromList(p, missingprops)">
                            <span class="glyphicon glyphicon-trash"></span>
                        </button>
                    </td>
                    <td >
                        <button type="button" class="btn btn-info btn-info-inv" ng-click="showPropInfo(p)">
                            <span class="glyphicon glyphicon glyphicon-list-alt"></span>
                        </button>
                    </td>
                    <td data-title="'Nom'" filter="{ 'name': 'text' }">{{p.name}}</td>
                    <td data-title="'Valeur'" ng-class="invalidClass(p.value)" filter="{ 'value': 'text' }">
                        <input class="form-control" name="value{{p.tempid}}" type='text' ng-model="p.value" 
                               value="{{p.value}}" required>
                    </td>
                    <td data-title="'Description'">
                        <textarea class="form-control" rows=1 ng-model="p.description" value="{{p.description}}"></textarea>
                    </td>
                    <td data-title="'Domaine'">
                        <select class="form-control" ng-model="p.domain" name="domain">
                            <option ng-repeat="c in domainList" value="{{c.domaintype}}" ng-selected="c.domaintype == p.domain">{{c.domaintype}}</option>
                        </select>
                    </td>
                    <td data-title="'Pays'">
                        <select class="form-control" ng-model="p.country" name="country" ng-init="envList=getEnvList(p.country);" ng-change="envList=getEnvList(p.country); p.platform='all'; p.environment='all'">
                            <option value="all" selected>Tout pays</option>
                            <option ng-repeat="c in countryList" value="{{c.name}}" ng-selected="c.name == p.country">{{c.name}}</option>
                        </select>
                    </td>
                    <td data-title="'Environment'" filter="{ 'environment': 'text' }">
                        <select class="form-control" ng-model="p.environment" name="environment" ng-init="plist=getEnvPflist(p.environment);" ng-change="plist=getEnvPflist(p.environment); p.platform='all'">
                            <option value="all" selected>Tout environnement</option>
                            <option ng-repeat="e in envList" value="{{e.name}}" ng-selected="e.name == p.environment">{{e.name}}</option>
                        </select>
                    </td>
                    <td data-title="'Plateforme'"  filter="{ 'platform': 'text' }">
                        <select class="form-control" ng-model="p.platform" name="platform">
                            <option value="all" selected="selected">Toutes</option>
                            <option ng-repeat="pf in plist" value="{{pf.name}}" ng-selected="pf.name == p.platform">{{pf.name}}</option>
                        </select>
                    </td>
                    <td data-title="'Version'" filter="{ 'version': 'text' }"  ng-class="invalidClass(p.version)" >
                        <input class="form-control" name="version{{p.tempid}}" type='text' ng-model="p.version" value="{{p.version}}" typeahead="version for version in versionsList | filter:$viewValue | limitTo:8" required>
                    </td>
                    <td data-title="'Template'">
                        <input class="form-control" name="template{{p.id}}" type='text' ng-model="p.template" value="{{p.template}}" 
                               typeahead="tmpl for tmpl in templateList | filter:$viewValue | limitTo:8" 
                               ng-change="getTemplateOrValue(p)"
                               ng-selected="getTemplateOrValue(p)">
                    </td>
                </tr>
            </table>

        </div>
    </form>
</div>

